Subject: RE: Assuring ISOC commitment to AdminRest

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Sun, 12 Dec 2004 21:06:09 +0100

Is it just me or what????

This debate between John and Pete seems to be at such an abstract meta
level to me, that I have difficulty to try and see what it means for the
IAS BCP doc that I thinkwe are trying to get consensus on.

As I said, it could be just me, but I seem unable to map it to
any issue(s) with the curremt text in rev 02 of the doc.

Bert

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> John C Klensin
> Sent: Sunday, December 12, 2004 16:44
> To: Pete Resnick
> Cc: [email-masked]
> Subject: Re: Assuring ISOC commitment to AdminRest
> 
> 
> --On Saturday, 11 December, 2004 16:00 -0600 Pete Resnick
> <[email-masked]> wrote:
> 
> > On 12/11/04 at 3:07 PM -0500, John C Klensin wrote:
> > 
> >> I suspect that, were ISOC to start changing their bylaws in
> >> this  sort of direction and in ways that would actually
> >> provide the  guarantees you want, they would reasonably
> >> insist on reciprocal  provisions that would prevent IETF from
> >> unwinding the relationship  without cause, would permit them
> >> to step in if they concluded that  IETF was about to
> >> self-destruct (or fizzle out) -- see my earlier  note on the
> >> implications of IETF's going under--and so on.
> > 
> > As far as preventing the IETF from unwinding the relationship:
> > To unwind the relationship from the IETF side would take a
> > change in the BCP, with IETF-wide consensus. It is exactly
> > that fact, and the fact that the current state of affairs only
> > requires a simple majority of the ISOC board to unwind, which
> > I think mandates this. Unwinding the relationship on the IETF
> > side would be a "big deal".
> 
> As far as I can tell, to unwind the relationship in practice
> requires, in practice, an assertion of an emergency and decision
> by the IETF Chair, perhaps in collaboration with the IAOC Chair
> (if it turns out to have one) and/or IAD.  Doing it that way
> would require simply ignoring the proposed language of the BCP,
> but there is, unfortunately, significant precedent for just such
> actions.  And before I go on, I want to repeat that my one of my
> two main concerns is less with your note than with the concern
> that we are focusing our risk analysis and protection mechanisms
> in the wrong place.
> 
> > As far as self-destruction: If such is imminent, I cannot
> > imagine that the ISOC board can not get four-fifths of
> > themselves (the amount needed to make a by-law change) to
> > agree to rescind the by-law I propose.
> 
> Rather than debate the appropriateness of various analogies (I
> think we aren't going to agree), let's take this up an
> abstraction level.  The conventional wisdom about good-quality
> standards is that one should specify requirements and behavior,
> not particular technologies and mechanisms.   I suggest that the
> same rule should apply here.   Suppose you had said 
> 
> 		"It is unreasonable for the IETF to require a whole
> 		BCP-approval and publication process to unwind, while
> 		ISOC would require only a majority vote.  We need to
> 		work out a model with ISOC that requires a more serious
> 		process, perhaps a supermajority vote."
> 
> Despite some concern about a focus on the wrong risks (see
> above), you probably would have heard nothing from me.  Or
> perhaps you would have heard a suggestion that maybe a single
> Board vote might not be sufficient and that something else --
> e.g., approval from the AC as well, Board votes at consecutive
> meetings -- might be more helpful than a one-meeting
> supermajority.  But I don't know much, if any, more about how to
> predict internal ISOC dynamics than you do, so I would think
> that the above would lead to an interaction with ISOC in which
> the IETF would say, more or less, 
> 
> 		"It doesn't feel to us that your needing only a simple
> 		majority of the Board, at one meeting, to blow this off
> 		is sufficient protection for this agreement.    What
> 		would you suggest, within your procedures and dynamics,
> 		to solve that problem?"
> 
> That is consistent with the sort of partnership I think we
> should be looking for here and which I think the community more
> or less signed off on in moving toward Scenario O.
> 
> But your note doesn't seem to say that.   Instead, it seemed to
> say, at least in my reading, "we should not let this go through
> unless ISOC agrees to Bylaws changes that are dictated by the
> IETF".     I don't know what the implied "or else" clause is,
> unless someone is looking for an excuse to return to Scenario C,
> certainly we won't give up on reorganizing entirely if they
> don't.
> 
> I don't want to see ISOC dictating anything to the IETF.  I
> don't want the IETF dictating anything to ISOC.   I want to see
> a partnership in which the two organizations work together to
> identify and solve problems, with reasonable assumptions of good
> faith.  Those assumptions should at least be good for today,
> even if you (or we) insist that future behavior is completely
> unpredictable.   And, within the context of those assumptions,
> we should be dealing with each other on the basis of "we see a
> problem on your side of the boundary, please suggest to us how
> you would like to solve it or explain why it really is not an
> issue".   If, as I have been saying for many months, we treat
> each other as hostile parties rather than as partners working
> together for common ends we both value, this just isn't going to
> work, no matter what words we get on paper.
> 
>       john
> 
> 
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf
> 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: John C Klensin <[email-masked]>
Date: Sun, 12 Dec 2004 15:24:51 -0500

Bert,

I think Pete proposed "the IAS BCP should not take effect,
regardless of what other provisions it contains, until ISOC
modifies their bylaws in a way dictated by the IETF and,
presumably, by provisions to be incorporated by the BCP".  That
strikes me a fairly concrete.  My response was, admittedly, more
abstract, but its bottom line is that, IMO, no such
modifications or text are needed and that, if there really were
a problem, what Pete proposes is the wrong way to go about
solving it.

   john

--On Sunday, 12 December, 2004 21:06 +0100 "Wijnen, Bert (Bert)"
<[email-masked]> wrote:

> This debate between John and Pete seems to be at such an
> abstract meta level to me, that I have difficulty to try and
> see what it means for the IAS BCP doc that I thinkwe are
> trying to get consensus on.
> 
>> From: [email-masked] [mailto:[email-masked]]On
>> Behalf Of John C Klensin
>> >> insist on reciprocal  provisions that would prevent IETF
>> >> from unwinding the relationship  without cause, would
>> >> permit them to step in if they concluded that  IETF was
>> >> about to self-destruct (or fizzle out) -- see my earlier
>> >> note on the implications of IETF's going under--and so on.
>> > 
>> > As far as preventing the IETF from unwinding the
>> > relationship: To unwind the relationship from the IETF side
>> > would take a change in the BCP, with IETF-wide consensus.
>> > It is exactly that fact, and the fact that the current
>> > state of affairs only requires a simple majority of the
>> > ISOC board to unwind, which I think mandates this.
>> > Unwinding the relationship on the IETF side would be a "big
>> > deal".
>> 
>> requires, in practice, an assertion of an emergency and
>> decision by the IETF Chair, perhaps in collaboration with the
>> IAOC Chair (if it turns out to have one) and/or IAD.  Doing
>> it that way would require simply ignoring the proposed
>> language of the BCP, but there is, unfortunately, significant
>> precedent for just such actions.  And before I go on, I want
>> to repeat that my one of my two main concerns is less with
>> your note than with the concern that we are focusing our risk
>> analysis and protection mechanisms in the wrong place.
>> 
>> standards is that one should specify requirements and
>> behavior, not particular technologies and mechanisms.   I
>> suggest that the same rule should apply here.   Suppose you
>> had said 
>> 
>> supermajority.  But I don't know much, if any, more about how
>> to predict internal ISOC dynamics than you do, so I would
>> think that the above would lead to an interaction with ISOC
>> in which the IETF would say, more or less, 
>> 
>> should be looking for here and which I think the community
>> more or less signed off on in moving toward Scenario O.
>> 
>> But your note doesn't seem to say that.   Instead, it seemed
>> to say, at least in my reading, "we should not let this go
>> through unless ISOC agrees to Bylaws changes that are
>> dictated by the IETF".     I don't know what the implied "or
>> else" clause is, unless someone is looking for an excuse to
>> return to Scenario C, certainly we won't give up on
>> reorganizing entirely if they don't.
>> 
>> don't want the IETF dictating anything to ISOC.   I want to
>> see a partnership in which the two organizations work
>> together to identify and solve problems, with reasonable
>> assumptions of good faith.  Those assumptions should at least
>> be good for today, even if you (or we) insist that future
>> behavior is completely unpredictable.   And, within the
>> context of those assumptions, we should be dealing with each
>> other on the basis of "we see a problem on your side of the
>> boundary, please suggest to us how you would like to solve it
>> or explain why it really is not an issue".   If, as I have
>> been saying for many months, we treat each other as hostile
>> parties rather than as partners working together for common
>> ends we both value, this just isn't going to work, no matter
>> what words we get on paper.
>> 
>>       john
>> 
>>

---

From: Pete Resnick <[email-masked]>
Date: Sun, 12 Dec 2004 15:08:54 -0600

On 12/12/04 at 9:06 PM +0100, Bert (Bert) Wijnen wrote:

>This debate between John and Pete seems to be at such an abstract 
>meta level to me, that I have difficulty to try and see what it 
>means for the IAS BCP doc that I thinkwe are trying to get consensus 
>on.
>
>As I said, it could be just me, but I seem unable to map it to any 
>issue(s) with the curremt text in rev 02 of the doc.

Ignoring John's caricature of my position: I think I am suggesting an 
addition to the current BCP which more or less says:

"This BCP will take effect upon adoption of the BCP by the IESG and 
the concurrent <<insert thing that ISOC does which codifies in some 
interesting way the adoption of the relationship by ISOC>>"

I also suggested to insert for the part in <<>>:

"adoption of an ISOC by-law signifying the adoption of the principles 
laid out in this BCP."

That's it.

pr
-- 
Pete Resnick <http://www.qualcomm.com/~presnick/>
QUALCOMM Incorporated

---

From: Dave Crocker <[email-masked]>
Date: Sun, 12 Dec 2004 13:40:04 -0800

>  IAS BCP doc that I thinkwe are trying to get consensus on.

This is probably not what either one of them is thinking about, but I class their exchange as being concerned with the following question:

		Is the IETF making itself a wholly-owned subsidiary of ISOC, or is the IETF contracting with ISOC to do some services for the IETF.

The distinction is about the pragmatics of ultimate authority over the IETF's operation.

For me, at least, this makes their exchange a very, very long way from abstract.

d/
--
Dave Crocker
Brandenburg InternetWorking
+1.408.246.8253
dcrocker  a t ...
www.brandenburg.com

---

From: [email-masked]
Date: Sun, 12 Dec 2004 23:36:19 +0100

On 12 dec 2004, at 22.40, Dave Crocker wrote:

> This is probably not what either one of them is thinking about, but I 
> class their exchange as being concerned with the following question:
>
> 		Is the IETF making itself a wholly-owned subsidiary of ISOC, or is 
> the IETF contracting with ISOC to do some services for the IETF.

Since I think it is neither of those, I suggest a third possibility

are the IETF and ISOC agreeing on a partnership in the administration 
of the IETF?

a.

---

From: Dave Crocker <[email-masked]>
Date: Sun, 12 Dec 2004 16:58:43 -0800

>  are the IETF and ISOC agreeing on a partnership in the administration

The issue that I was raising was about parity of authority.  Pete was raising an example that demonstrates a lack of parity in the terms of the arrangement.  

If it were clear what "partnership" meant, in terms of management responsibility and authority, then perhaps it would apply.  

In any event, since this is an *IETF* administrative function that needs doing, then making ISOC a "partner" means that we are, in fact, handing over some portion of control of the IETF.

Ultimately, it's rather difficult to understand how this partnership is fundamentally better than the existing one that is causing so much trouble, or how it will be prevented from devolving into also being that much trouble.

d/

---

From: Carl Malamud <[email-masked]>
Date: Sun, 12 Dec 2004 17:10:52 -0800 (PST)

Pete -

> interesting way the adoption of the relationship by ISOC>>"

This sounds pretty concrete ... any agreement has to be ratified
by both parties and the current draft doesn't say how that will
happen by ISOC.  

> "adoption of an ISOC by-law signifying the adoption of the principles 

I'm fine with your <<>> or any other <<>>=="yes".

Regards,,

Carl

---

From: Eric Rescorla <[email-masked]>
Date: Mon, 13 Dec 2004 05:50:03 -0800

> "adoption of an ISOC by-law signifying the adoption of the principles

I think that language like this is a pretty important part of the 
equation. We've had a lot of discussion about how ISOC agrees
to something with an organization that doesn't formally exist,
and this seems to be exactly the right kind of answer...

-Ekr

---

From: Fred Baker <[email-masked]>
Date: Mon, 13 Dec 2004 13:14:41 -0800

At 01:40 PM 12/12/04 -0800, Dave Crocker wrote:
>Is the IETF making itself a wholly-owned subsidiary of ISOC, or is the 
>IETF contracting with ISOC to do some services for the IETF.

I don't see either happening, and perhaps this is part of the disconnect. 
The latter is clearly what Carl's document called "Scenario D", and the 
former could be Carl's Scenario C. As I understood the IETF consensus, 
neither is currently intended to become reality.

At 11:36 PM 12/12/04 +0100, [email-masked] wrote:
>are the IETF and ISOC agreeing on a partnership in the administration of 
>the IETF?

Yes.

Scenario A in essence said that "we is both of us": IETF is, as its web 
page has proclaimed for quite a number of years, an "Organized Activity of 
ISOC", and a commitment to one implies a commitment to the other. Scenario 
O, the scenario I understand us to be working with, continues that case, 
but creates an organization (the IAOC) to act as an interface and give 
special direction to an office within ISOC (the IASA) that manages 
contracts and relationships on the part of the IETF.

In Scenario O, the IAOC will advise the IASA on the needs of the IETF 
community and will discuss how to best get those needs met. This will 
involve a fair bit of give and take on the budget - when a new need is 
recognized, either there will be money and resources available to meet it, 
or someone (ISOC) will have to do some fundraising - which ISOC is already 
doing anyway, as there are already monetary needs and ISOC signed up to 
that a long time ago. There may need to be reallocation of resources, or a 
scheduling of activities to meet various needs. This is all standard 
management stuff, and is presumably done within the IASA. The IASA will be 
physically housed in and use various resources of ISOC including other 
staff on an allocation basis.

---

From: Fred Baker <[email-masked]>
Date: Mon, 13 Dec 2004 13:51:05 -0800

At 03:08 PM 12/12/04 -0600, Pete Resnick wrote:
>"This BCP will take effect upon adoption of the BCP by the IESG and the 
>concurrent <<insert thing that ISOC does which codifies in some 

The usual way this is done, by ISOC, is by resolution; note that the 
statement you proposed is in the form of a resolution. For examples, you 
might review 96-11 and 96-12 in 
http://www.isoc.org/isoc/general/trustees/resltn-complete.shtml. 96-11 has 
been updated several times as the IETF has updated the relevant documents; 
96-12 remains a fundamental guiding principle. The most recent was this 
past summer: ISOC accepted its responsibilities wrt RFC 3777 in an email 
ballot closing on 23 August.

         RESOLVED: The ISOC BoT accepts and approves of the IETF process
         entitled "IAB and IESG Selection, Confirmation, and Recall Process:
         Operation of the Nominating and Recall Committees" and set forth in
         RFC 3777, and accepts its responsibilities as described in that
         document.

A few weeks later, the ISOC CEO named the new chair of the IETF nominating 
committee, which is operating on that basis.

The way resolutions - or bylaw changes - come to pass is this: those who 
want them (in the case of what you are proposing, the IETF) formulates the 
resolution required, and engages in dialog with the ISOC Board, usually in 
person at a board meeting. Having convinced the ISOC Board that this is 
good for the IETF, good for ISOC, and good for all of ISOC's 
constituencies, someone calls the question and we vote. See 
http://www.isoc.org/isoc/general/trustees/bylaws.shtml.

ISOC is very interested in having the IETF restructuring effort succeed. 
Its history suggests that if necessary it will scale back everything else 
it does, and risk upsetting all of its other communities, and conduct major 
fund-raising activities to meet the IETF's needs. I guess the discussion I 
have heard concerning doomsday scenarios is baffling to me for this reason 
if none other - there is no historical basis, and there is quite a bit of 
real history including places where divergence of interests might have been 
predicted. If a resolution reaffirming 96-12 is needed to calm IETF 
insecurities, we will have a board meeting following the March IETF 
meeting. The necessary dialog can take place and such a resolution can 
happen if the IETF requests it and participates in it.

---

From: Geoff Huston <[email-masked]>
Date: Tue, 14 Dec 2004 12:22:56 +1100

Fred,

I would certainly add my voice in support of the Internet Society adopting 
a specific resolution of adoption of this document (the IASA BCP, 
referenced, as Scott mentions, by its RFC number). This is clear 
demonstration of a level of organizational commitment that endures beyond 
the current collection of Trustees.

By Law changes are certainly more challenging, and for organizations 
operating under the provisions of section 501 (c) (3) of the US IRS codes I 
am lead to understand that there is increasing scrutiny of such 
organizations and a prudent course of action these days may entail some 
external consultation to ensure that such changes remain entirely 
consistent with these provisions. I'm not sure that this would be entirely 
necessary in this case. A case could be made relating to amendments of the 
Society's Articles of Incorporation, but here again I personally am not 
convinced that it is something that the IETF should advocate, but more a 
matter for the ISOC Trustees to consider.

    Geoff

At 08:51 AM 14/12/2004, Fred Baker wrote:
>it does, and risk upsetting all of its other communities, and conduct 
>major fund-raising activities to meet the IETF's needs. I guess the 
>discussion I have heard concerning doomsday scenarios is baffling to me 
>for this reason if none other - there is no historical basis, and there is 
>quite a bit of real history including places where divergence of interests 
>might have been predicted. If a resolution reaffirming 96-12 is needed to 
>calm IETF insecurities, we will have a board meeting following the March 
>IETF meeting. The necessary dialog can take place and such a resolution 
>can happen if the IETF requests it and participates in it.

---

From: Fred Baker <[email-masked]>
Date: Mon, 13 Dec 2004 19:50:59 -0800

>the current collection of Trustees.

I'm certainly in favor of that after the IETF discusses the document and 
its provisions with the ISOC Board of Trustees and proposes such a resolution.

Let me put it in terms of an 
analogy.  draft-baker-tsvwg-vpn-signaled-preemption-01.txt was posted as an 
internet draft on the 25th of September. It has not been sent to the RFC 
Editor to be published. Of course, I also have not asked anyone to consider 
sending it there. So who is at fault for the fact? The IESG, for not having 
done what may be my will, or mine for not expressing such a will (if it 
exists) to the IESG? I think it is my problem - the process is documented, 
and I have not initiated it.

Most of the documents that the ISOC BoT has received from the IETF place 
very little burden on ISOC - the IETF will do this and that, and there is 
perhaps a light duty placed on the CEO or a very improbable duty in the 
final event of an appeal. In this case, the IETF asks ISOC to hire people, 
construct budgets that roughly double its current annual investment in the 
IETF, and take on additional responsibilities of various kinds. The ISOC 
Board has had some discussion with the IETF during the process, but there 
is also discussion that has not happened. In terms of generating this BCP, 
it has been clearly stated that this is an IETF discussion, in which the 
IETF decides what it wants. If you were (still) on the ISOC Board, would 
you approve the document without a presentation of its provisions and 
discussion between the IETF leadership and the ISOC Board of the 
incorporated expectations? Hmm, thought not. That would not be consistent 
with a fiduciary responsibility.

By the way, I requested that this dialog happen in the November board 
meeting in an email to [email-masked] on 12 August. The reasons it 
did not happen should be obvious. That doesn't mean that it is not now needed.

The ISOC BoT is, as I said before, very supportive and very willing. We are 
at this moment knee deep in generating the necessary budgets and so on. The 
process, just like the IETF's process for converting an I-D to an RFC, is 
publicly documented. But a finished document, a discussion of it with the 
ISOC Board, a proposed resolution, and a request to so resolve have not 
been received by the ISOC Board. The ball is, at this point, in the IETF's 
court.

---

From: Geoff Huston <[email-masked]>
Date: Tue, 14 Dec 2004 15:06:23 +1100

Fred,

I believe we strongly agree here.

I did not think for a second that the ISOC Board would be asked to resolve 
to adopt a document over which it had, until that point, no opportunity to 
review, to offer substantive comment and to reach a position where it was 
comfortable with the obligations being asked of ISOC in this structure. 
There is a delicate piece of process management here that I personally hope 
will be happening sooner rather than later where the ISOC Board will be 
given that opportunity to provide its comments and perspectives on this 
document to the IETF prior to the IETF process signing off on this document 
for publication as a BCP.

Regards,

    Geoff

At 02:50 PM 14/12/2004, Fred Baker wrote:
>>I would certainly add my voice in support of the Internet Society 
>>adopting a specific resolution of adoption of this document (the IASA 
>>BCP, referenced, as Scott mentions, by its RFC number). This is clear 
>analogy.  draft-baker-tsvwg-vpn-signaled-preemption-01.txt was posted as 
>an internet draft on the 25th of September. It has not been sent to the 
>RFC Editor to be published. Of course, I also have not asked anyone to 
>consider sending it there. So who is at fault for the fact? The IESG, for 
>not having done what may be my will, or mine for not expressing such a 
>will (if it exists) to the IESG? I think it is my problem - the process is 
>documented, and I have not initiated it.
>
>The ISOC BoT is, as I said before, very supportive and very willing. We 
>are at this moment knee deep in generating the necessary budgets and so 
>on. The process, just like the IETF's process for converting an I-D to an 
>RFC, is publicly documented. But a finished document, a discussion of it 
>with the ISOC Board, a proposed resolution, and a request to so resolve 
>have not been received by the ISOC Board. The ball is, at this point, in 
>the IETF's court.

---

From: Fred Baker <[email-masked]>
Date: Mon, 13 Dec 2004 21:21:54 -0800

>I believe we strongly agree here.

Outstanding!

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 14 Dec 2004 09:41:42 +0100

> and this seems to be exactly the right kind of answer...

I respectfully disagree. The legal thread for our entire standards
process hangs on the Board motions that approved 2026 etc. Having
sweated hard as ISOC Chair to get the last major updates to the
by-laws through, I don't think it's reasonable to ask them for
a by-law about this - at least not as a prerequisite for the
kickoff. I will trust a Board motion.

    Brian

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 14 Dec 2004 10:58:47 -0800

Brian E Carpenter <[email-masked]> writes:
> process hangs on the Board motions that approved 2026 etc. 

I don't agree with this assessment. IETF's legitimacy as a standards
body depends on people both inside and outside the IETF recognizing
and implementing its standards, not on whether ISOC ratifies
the process or not.

> Having

Maybe it's just that I'm a security guy, but the word "trust" here
makes me very uncomfortable. We're setting up a situation in which the
IETF's ability to operate is completely conditional on ISOC behaving
in the way indicated in the BCP. Given that, I think it's quite
appropriate to have ISOC constrained to behave substantially in that
fashion. Sure, changing your bylaws is hard, but that's precisely why
a bylaw change and not just a board motion is what we need.

-Ekr

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 15 Dec 2004 09:27:52 +0100

> and implementing its standards, not on whether ISOC ratifies

I *did not* say legitimacy, on which I agree with you. But if you want
the liability insurance that protects you against personal liability
for your actions as part of the IETF leadership to hold up in court,
I assure you that those ISOC Board motions will be very, very
important to you (and me, as a current WG Chair).

> a bylaw change and not just a board motion is what we need.

I'm not saying a bylaw change would be a bad thing, in due time.
But ISOC can get a Board motion through in about 2 weeks, whereas a bylaw
change takes several months. Making it a prerequisite would cause us
to lose precious time.

     Brian